<?php

use App\Http\Controllers\UyelerAuth\AuthenticatedSessionController;
use App\Http\Controllers\UyelerAuth\NewPasswordController;
use App\Http\Controllers\UyelerAuth\PasswordResetLinkController;
use App\Http\Controllers\UyelerAuth\RegisteredUserController;
use Illuminate\Support\Facades\Route;

Route::middleware('guest:uye')->group(function () {

    Route::get('uye/login', [AuthenticatedSessionController::class, 'create'])
        ->name('uye.login');

    Route::post('uye/login', [AuthenticatedSessionController::class, 'store']);

    Route::get('uye/register', [RegisteredUserController::class, 'create'])
        ->name('uye.register');

    Route::post('uye/registerson', [RegisteredUserController::class, 'store'])->name('uye.registerson');

    Route::get('uye/forgot-password', [PasswordResetLinkController::class, 'create'])
        ->name('uye.password.request');

    Route::post('uye/forgot-password', [PasswordResetLinkController::class, 'store'])
        ->name('uye.password.email');

    Route::get('uye/reset-password/{token}', [NewPasswordController::class, 'create'])
        ->name('uye.password.reset');

    Route::post('uye/reset-password', [NewPasswordController::class, 'store'])
        ->name('uye.password.update');
});




